org.eclipse.rdf4j.repository.contextaware.config

## Class ContextAwareFactory

- java.lang.Object
- - org.eclipse.rdf4j.repository.contextaware.config.ContextAwareFactory

- All Implemented Interfaces:
    RepositoryFactory

      public class ContextAwareFactory
      extends Object
      implements RepositoryFactory

  A `RepositoryFactory` that creates `ContextAwareRepository`s based on RDF configuration data.
  Author:
    James Leigh

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `REPOSITORY_TYPE` The type of repositories that are created by this factory.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextAwareFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RepositoryImplConfig` | `getConfig()`
    `Repository` | `getRepository(RepositoryImplConfig configuration)` Returns a Repository instance that has been initialized using the supplied configuration data.
    `String` | `getRepositoryType()` Returns the repository's type: `openrdf:ContextAwareRepository`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REPOSITORY_TYPE

          public static final String REPOSITORY_TYPE

      The type of repositories that are created by this factory.
      See Also:
        `RepositoryFactory.getRepositoryType()`, Constant Field Values

  - ### Constructor Detail

    - #### ContextAwareFactory

          public ContextAwareFactory()

  - ### Method Detail

    - #### getRepositoryType

          public String getRepositoryType()

      Returns the repository's type: `openrdf:ContextAwareRepository`.
      Specified by:
        `getRepositoryType` in interface `RepositoryFactory`

    - #### getConfig

          public RepositoryImplConfig getConfig()

      Specified by:
        `getConfig` in interface `RepositoryFactory`

    - #### getRepository

          public Repository getRepository(RepositoryImplConfig configuration)
                                   throws RepositoryConfigException

      Description copied from interface: `RepositoryFactory`
      Returns a Repository instance that has been initialized using the supplied configuration data.
      Specified by:
        `getRepository` in interface `RepositoryFactory`
      Parameters:
        `configuration` - TODO
      Returns:
        The created (but un-initialized) repository.
      Throws:
        `RepositoryConfigException` - If no repository could be created due to invalid or incomplete configuration data.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.